%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define api		2.0
%define major		4
%define girmajor	2.0
%define gstname		%mklibname %{name}-gstreamer
%define libname		%mklibname %{name} %{api} %{major}
%define libnamegst	%mklibname %{name}-gst %{api} %{major}
%define girname		%mklibname gupnpdlna-gir %{girmajor}
%define girnamegst	%mklibname gupnpdlnagst-gir %{girmajor}
%define devname		%mklibname -d %{name}

Name:           gupnp-dlna
Version:        0.12.0
Release:        %mkrel 4
Summary:        A collection of helpers for building UPnP dlna applications
Group:		System/Libraries
License:        LGPLv2+
URL:            http://www.gupnp.org/
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch:		gupnp-dlna-linking.patch
Patch:		gupnp-dlna-metadata-backend-dir.patch
BuildRequires:	meson
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gtk-doc
BuildRequires:	vala-tools >= 0.18.0

%description
GUPnP is an object-oriented open source framework for creating UPnP devices and
control points, written in C using GObject and libsoup. The GUPnP API is
intended to be easy to use, efficient and flexible.

GUPnP DLNA is a small utility library that aims to ease the
DLNA-related tasks such as media profile guessing, transcoding to
a given profile, etc.

%package -n %{gstname}
Summary:	GStreamer specific utils using GUPnP-DLNA
Group:		System/Libraries

%description -n %{gstname}
GStreamer specific utils using GUPnP-DLNA.

%package -n %{libname}
Summary:	A collection of helpers for building UPnP DLNA applications
Group:		System/Libraries

%description -n %{libname}
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP DLNA is a small utility library that aims to ease the
DLNA-related tasks such as media profile guessing, transcoding to
a given profile, etc.

%package -n %{libnamegst}
Summary:        A collection of helpers for building UPnP DLNA applications
Group:          System/Libraries
Requires:	%{gstname} >= %{version}-%{release}
Conflicts:	%{_lib}gupnp-dlna2.0_4 < 0.12.0-2

%description -n %{libnamegst}
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP DLNA is a small utility library that aims to ease the
DLNA-related tasks such as media profile guessing, transcoding to
a given profile, etc.

%package -n %{devname}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnamegst} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Requires:	%{girnamegst} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}gupnp-dlna2.0_3 < 0.10.2-3

%description -n %{devname}
Files for development with %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for GUPnPDLNA
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}gupnp-dlna-gir2.0 < 0.12.0-2

%description -n %{girname}
GObject Introspection interface description for GUPnPDLNA.

%package -n %{girnamegst}
Summary:        GObject Introspection interface description for GUPnPDLNAGst
Group:          System/Libraries
Requires:       %{libnamegst} = %{version}-%{release}
Conflicts:	%{_lib}gupnp-dlna-gir2.0 < 0.12.0-2

%description -n %{girnamegst}
GObject Introspection interface description for GUPnPDLNAGst.

%prep
%autosetup -p1

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%files
%{_bindir}/%{name}-*
%{_datadir}/%{name}-%{api}/

%files -n %{gstname}
%{_libdir}/%{name}-%{api}/libgstreamer.so

%files -n %{libname}
%license COPYING
%doc AUTHORS README
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files -n %{libnamegst}
%license COPYING
%doc AUTHORS README
%{_libdir}/lib%{name}-gst-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GUPnPDLNA-%{girmajor}.typelib

%files -n %{girnamegst}
%{_libdir}/girepository-1.0/GUPnPDLNAGst-%{girmajor}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/%{name}*/
%{_includedir}/*
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/pkgconfig/%{name}-gst-%{api}.pc
%{_libdir}/pkgconfig/%{name}-metadata-2.0.pc
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/lib%{name}-gst-%{api}.so
%{_datadir}/vala/vapi/*
%{_datadir}/gir-1.0/GUPnPDLNA-%{girmajor}.gir
%{_datadir}/gir-1.0/GUPnPDLNAGst-%{girmajor}.gir


%changelog
* Tue Sep 20 2022 wally <wally> 0.12.0-4.mga9
+ Revision: 1890892
- add api to default plugin dir name to avoid conflicts with old api and in this case also with old lib major
- remove mistakenly added conflict in r1890864

* Tue Sep 20 2022 wally <wally> 0.12.0-3.mga9
+ Revision: 1890864
- add conflicts for older libs having gstreamer stuff

* Tue Sep 20 2022 wally <wally> 0.12.0-2.mga9
+ Revision: 1890744
- split out gstreamer parts from lib and gir pkgs

* Mon Sep 19 2022 wally <wally> 0.12.0-1.mga9
+ Revision: 1890457
- new version 0.12.0
- new lib major 4
- switch to meson build

* Sun Apr 03 2022 umeabot <umeabot> 0.10.5-4.mga9
+ Revision: 1841585
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.10.5-3.mga8
+ Revision: 1512913
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.10.5-2.mga7
+ Revision: 1298148
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Jun 27 2016 ovitters <ovitters> 0.10.5-1.mga6
+ Revision: 1037926
- new version 0.10.5

* Tue Feb 09 2016 ovitters <ovitters> 0.10.4-1.mga6
+ Revision: 951161
- new version 0.10.4

* Wed Jul 01 2015 ovitters <ovitters> 0.10.3-1.mga6
+ Revision: 849227
- new version 0.10.3

* Mon Jun 29 2015 wally <wally> 0.10.2-7.mga6
+ Revision: 847518
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 0.10.2-6.mga5
+ Revision: 741042
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 0.10.2-5.mga5
+ Revision: 724907
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.10.2-4.mga5
+ Revision: 680050
- Mageia 5 Mass Rebuild

* Mon Dec 09 2013 wally <wally> 0.10.2-3.mga4
+ Revision: 556052
- move devel files to devel pkg (mga#11907)

* Sat Oct 19 2013 umeabot <umeabot> 0.10.2-2.mga4
+ Revision: 525586
- Mageia 4 Mass Rebuild

* Fri May 31 2013 dams <dams> 0.10.2-1.mga4
+ Revision: 433728
- new version 0.10.2

* Fri Apr 19 2013 fwang <fwang> 0.10.1-2.mga3
+ Revision: 410484
- update file list
- build vapi as used by rygel

* Fri Apr 12 2013 dams <dams> 0.10.1-1.mga3
+ Revision: 409814
- new version 0.10.1
- update BR
+ ovitters <ovitters>
- new version 0.10.0
- new version 0.8.0
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 18 2012 ovitters <ovitters> 0.6.6-1.mga2
+ Revision: 223803
- new version 0.6.6

* Mon Feb 13 2012 fwang <fwang> 0.6.5-1.mga2
+ Revision: 208412
- update file list
- new version 0.6.5

* Thu Oct 20 2011 wally <wally> 0.6.4-1.mga2
+ Revision: 156950
- new version 0.6.4

* Tue Sep 27 2011 wally <wally> 0.6.3-1.mga2
+ Revision: 149570
- new version 0.6.3
- enable introspection

* Tue Sep 27 2011 wally <wally> 0.6.1-1.mga2
+ Revision: 149440
- get rid of .la files
- clean .spec
- imported package gupnp-dlna


* Fri Apr 15 2011 Funda Wang <fwang@mandriva.org> 0.6.1-1mdv2011.0
+ Revision: 653183
- import gupnp-dlna

